> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1businesses employees 1



## OpenAPI

````yaml /api-reference/openapi.json get /v1/businesses/{businessId}/employees/{employeeId}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/businesses/{businessId}/employees/{employeeId}:
    put:
      tags:
        - Employees
      parameters:
        - name: businessId
          in: path
          required: true
          schema:
            type: integer
            format: int64
        - name: employeeId
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BusinessEmployeesEmployeeUpdateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/BusinessEmployeesEmployeeUpdateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/BusinessEmployeesEmployeeUpdateRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BusinessEmployeesEmployeeResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    BusinessEmployeesEmployeeUpdateRequest:
      type: object
      properties:
        employeeIdentifier:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        managerId:
          type: integer
          format: int64
          nullable: true
        birthdate:
          type: string
          format: date-time
          nullable: true
        departmentIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
        locationIds:
          type: array
          items:
            type: integer
            format: int64
          nullable: true
      additionalProperties: false
    BusinessEmployeesEmployeeResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        businessId:
          type: integer
          format: int64
        userId:
          type: integer
          format: int64
          nullable: true
        employeeIdentifier:
          type: string
          nullable: true
        firstName:
          type: string
          nullable: true
        lastName:
          type: string
          nullable: true
        name:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        phoneNumber:
          type: string
          nullable: true
        managerId:
          type: integer
          format: int64
          nullable: true
        manager:
          $ref: '#/components/schemas/BusinessEmployeesEmployeeResponse'
        status:
          type: string
          nullable: true
        isMemberOnPlatform:
          type: boolean
        birthdate:
          type: string
          format: date-time
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
        departments:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEmployeesDepartmentMembershipResponse'
          nullable: true
        locations:
          type: array
          items:
            $ref: '#/components/schemas/BusinessEmployeesLocationMembershipResponse'
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    BusinessEmployeesDepartmentMembershipResponse:
      type: object
      properties:
        departmentId:
          type: integer
          format: int64
        departmentName:
          type: string
          nullable: true
      additionalProperties: false
    BusinessEmployeesLocationMembershipResponse:
      type: object
      properties:
        locationId:
          type: integer
          format: int64
        locationName:
          type: string
          nullable: true
      additionalProperties: false

````